Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Connect
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db2connectadapter.appconn
Class Db2ConnectApplicationConnectionFactory

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.db2connectadapter.appconn.DbApplicationConnectionFactoryImpl
              com.stc.connector.db2connectadapter.appconn.Db2ConnectApplicationConnectionFactory

All Implemented Interfaces:
  com.stc.connector.appconn.common.ApplicationConnectionFactory, com.stc.connector.appconn.db.DbApplicationConnectionFactory, java.io.Serializable, javax.naming.Referenceable

    public class Db2ConnectApplicationConnectionFactory

extends DbApplicationConnectionFactoryImpl

A factory class for creating Db2ConnectApplicationConnection.

Version:
  $Revision: 1.5 $
Author:
  $Author: pveerava $
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.connector.db2connectadapter.appconn.DbApplicationConnectionFactoryImpl
`mDataSource`

Constructor Summary
`Db2ConnectApplicationConnectionFactory(javax.sql.DataSource ds)` Creates a new instance of Db2ConnectApplicationConnectionFactory.
`Db2ConnectApplicationConnectionFactory(javax.sql.DataSource ds, javax.resource.spi.ConnectionManager cm)` Creates a new instance of DbApplicationConnectionFactory.

Method Summary
`com.stc.connector.appconn.common.ApplicationConnection` | `getConnection()` Gets the Db Application Connection which represents a connection handle to the underlying Db EIS.
`com.stc.connector.appconn.common.ApplicationConnection` | `getConnection(java.util.Properties connProps)` Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

Methods inherited from class com.stc.connector.db2connectadapter.appconn.DbApplicationConnectionFactoryImpl
`getDataSource`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Constructor Detail

### Db2ConnectApplicationConnectionFactory

    public Db2ConnectApplicationConnectionFactory(javax.sql.DataSource ds)

  Creates a new instance of Db2ConnectApplicationConnectionFactory.

  Parameters:
    `ds` - a DataSource instance used for creating a connection.

### Db2ConnectApplicationConnectionFactory

    public Db2ConnectApplicationConnectionFactory(javax.sql.DataSource ds,
                                                  javax.resource.spi.ConnectionManager cm)

  Creates a new instance of DbApplicationConnectionFactory.

  Parameters:
    `ds` - the ManagedConnection which created this connection. In database, this is the DataSource.
    `cm` - a ConnectionManager instance.

Method Detail

### getConnection

    public com.stc.connector.appconn.common.ApplicationConnection getConnection()
                                                                         throws com.stc.connector.appconn.common.ApplicationConnectionException

  Gets the Db Application Connection which represents a connection handle to the underlying Db EIS.

  Specified by:
    `getConnection` in interface `com.stc.connector.appconn.common.ApplicationConnectionFactory`
  Overrides:
    `getConnection` in class `DbApplicationConnectionFactoryImpl`
  Returns:
    A Db Application Connection.
  Throws:
    `com.stc.connector.appconn.common.ApplicationConnectionException` - upon error.

### getConnection

    public com.stc.connector.appconn.common.ApplicationConnection getConnection(java.util.Properties connProps)
                                                                         throws com.stc.connector.appconn.common.ApplicationConnectionException

  Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

  Specified by:
    `getConnection` in interface `com.stc.connector.appconn.common.ApplicationConnectionFactory`
  Overrides:
    `getConnection` in class `DbApplicationConnectionFactoryImpl`
  Parameters:
    `connProps` - Properties containing connection specific information.
  Returns:
    An Application Connection which represents a connection handle to the EIS.
  Throws:
    `com.stc.connector.appconn.common.ApplicationConnectionException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Connect
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD